> For the complete documentation index, see [llms.txt](https://docs.zaia.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zaia.app/documentation/api-reference-alpha/reference/analytics.md).

# Analytics

## GET /api/v1/analytics/periodic-responder-chat-message-volume

> Retrieves periodic responder chat message volume analytics.

```json
{"openapi":"3.1.0","info":{"title":"Public API","version":"1.0.0"},"servers":[{"description":"API Server","url":"https://api.endless.zaia.app"}],"paths":{"/api/v1/analytics/periodic-responder-chat-message-volume":{"get":{"description":"Retrieves periodic responder chat message volume analytics.","tags":["Analytics"],"parameters":[{"schema":{"type":"string","enum":["hourly","daily","weekly","monthly"]},"required":true,"name":"granularity","in":"query"},{"schema":{"type":"string","nullable":true,"format":"date-time"},"required":false,"name":"rangeEnd","in":"query"},{"schema":{"type":"string","nullable":true,"format":"date-time"},"required":false,"name":"rangeStart","in":"query"},{"schema":{"type":"string","description":"The API key to use for authentication. Can be created in the api keys section on the workspace settings page."},"required":true,"description":"The API key to use for authentication. Can be created in the api keys section on the workspace settings page.","name":"authorization","in":"header"}],"responses":{"200":{"description":"Responder chat message volume analytics retrieved successfully.","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"channelId":{"type":"string"},"channelName":{"type":"string"},"channelType":{"type":"string","enum":["api","widget","waha","whatsapp","instagram"]},"count":{"type":"integer"},"periodEnd":{"type":"string","format":"date-time"},"periodStart":{"type":"string","format":"date-time"},"responderEntity":{"type":"string","enum":["agents","squads"]},"responderId":{"type":"string"},"responderName":{"type":"string"},"responderPicture":{"type":"string","nullable":true}},"required":["channelId","channelName","channelType","count","periodEnd","periodStart","responderEntity","responderId","responderName","responderPicture"]}}}}},"401":{"description":"Unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"string","description":"The error code."},"cta":{"type":"object","properties":{"type":{"type":"string","enum":["support-contact"]},"url":{"type":"string","format":"uri"}},"required":["type","url"],"description":"The error call-to-action."},"feedback":{"type":"object","properties":{"enUs":{"type":"string"},"esEs":{"type":"string"},"ptBr":{"type":"string"}},"description":"The error feedback."},"message":{"type":"string","description":"The error message."},"name":{"type":"string","description":"The error name."}},"required":["feedback","message","name"],"description":"The description of a known exception."}}}}}}}}}
```

## GET /api/v1/analytics/periodic-responder-credit-usage

> Retrieves periodic responder credit usage analytics.

```json
{"openapi":"3.1.0","info":{"title":"Public API","version":"1.0.0"},"servers":[{"description":"API Server","url":"https://api.endless.zaia.app"}],"paths":{"/api/v1/analytics/periodic-responder-credit-usage":{"get":{"description":"Retrieves periodic responder credit usage analytics.","tags":["Analytics"],"parameters":[{"schema":{"type":"string","enum":["hourly","daily","weekly","monthly"]},"required":true,"name":"granularity","in":"query"},{"schema":{"type":"string","nullable":true,"format":"date-time"},"required":false,"name":"rangeEnd","in":"query"},{"schema":{"type":"string","nullable":true,"format":"date-time"},"required":false,"name":"rangeStart","in":"query"},{"schema":{"type":"string","description":"The API key to use for authentication. Can be created in the api keys section on the workspace settings page."},"required":true,"description":"The API key to use for authentication. Can be created in the api keys section on the workspace settings page.","name":"authorization","in":"header"}],"responses":{"200":{"description":"Responder credit usage analytics retrieved successfully.","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"credits":{"type":"number"},"periodEnd":{"type":"string","format":"date-time"},"periodStart":{"type":"string","format":"date-time"},"responderEntity":{"type":"string","enum":["agents","squads"]},"responderId":{"type":"string"},"responderName":{"type":"string"},"responderPicture":{"type":"string","nullable":true}},"required":["credits","periodEnd","periodStart","responderEntity","responderId","responderName","responderPicture"]}}}}},"401":{"description":"Unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"string","description":"The error code."},"cta":{"type":"object","properties":{"type":{"type":"string","enum":["support-contact"]},"url":{"type":"string","format":"uri"}},"required":["type","url"],"description":"The error call-to-action."},"feedback":{"type":"object","properties":{"enUs":{"type":"string"},"esEs":{"type":"string"},"ptBr":{"type":"string"}},"description":"The error feedback."},"message":{"type":"string","description":"The error message."},"name":{"type":"string","description":"The error name."}},"required":["feedback","message","name"],"description":"The description of a known exception."}}}}}}}}}
```

## GET /api/v1/analytics/periodic-user-chat-message-average

> Retrieves periodic user chat message average analytics.

```json
{"openapi":"3.1.0","info":{"title":"Public API","version":"1.0.0"},"servers":[{"description":"API Server","url":"https://api.endless.zaia.app"}],"paths":{"/api/v1/analytics/periodic-user-chat-message-average":{"get":{"description":"Retrieves periodic user chat message average analytics.","tags":["Analytics"],"parameters":[{"schema":{"type":"string","enum":["hourly","daily","weekly","monthly"]},"required":true,"name":"granularity","in":"query"},{"schema":{"type":"string","nullable":true,"format":"date-time"},"required":false,"name":"rangeEnd","in":"query"},{"schema":{"type":"string","nullable":true,"format":"date-time"},"required":false,"name":"rangeStart","in":"query"},{"schema":{"type":"string","description":"The API key to use for authentication. Can be created in the api keys section on the workspace settings page."},"required":true,"description":"The API key to use for authentication. Can be created in the api keys section on the workspace settings page.","name":"authorization","in":"header"}],"responses":{"200":{"description":"User chat message average analytics retrieved successfully.","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"average":{"type":"number"},"channelId":{"type":"string"},"channelName":{"type":"string"},"channelType":{"type":"string","enum":["api","widget","waha","whatsapp","instagram"]},"periodEnd":{"type":"string","format":"date-time"},"periodStart":{"type":"string","format":"date-time"},"responderEntity":{"type":"string","enum":["agents","squads"]},"responderId":{"type":"string"},"responderName":{"type":"string"},"responderPicture":{"type":"string","nullable":true}},"required":["average","channelId","channelName","channelType","periodEnd","periodStart","responderEntity","responderId","responderName","responderPicture"]}}}}},"401":{"description":"Unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"string","description":"The error code."},"cta":{"type":"object","properties":{"type":{"type":"string","enum":["support-contact"]},"url":{"type":"string","format":"uri"}},"required":["type","url"],"description":"The error call-to-action."},"feedback":{"type":"object","properties":{"enUs":{"type":"string"},"esEs":{"type":"string"},"ptBr":{"type":"string"}},"description":"The error feedback."},"message":{"type":"string","description":"The error message."},"name":{"type":"string","description":"The error name."}},"required":["feedback","message","name"],"description":"The description of a known exception."}}}}}}}}}
```

## GET /api/v1/analytics/periodic-user-interactivity

> Retrieves periodic user interactivity analytics.

```json
{"openapi":"3.1.0","info":{"title":"Public API","version":"1.0.0"},"servers":[{"description":"API Server","url":"https://api.endless.zaia.app"}],"paths":{"/api/v1/analytics/periodic-user-interactivity":{"get":{"description":"Retrieves periodic user interactivity analytics.","tags":["Analytics"],"parameters":[{"schema":{"type":"string","enum":["hourly","daily","weekly","monthly"]},"required":true,"name":"granularity","in":"query"},{"schema":{"type":"string","nullable":true,"format":"date-time"},"required":false,"name":"rangeEnd","in":"query"},{"schema":{"type":"string","nullable":true,"format":"date-time"},"required":false,"name":"rangeStart","in":"query"},{"schema":{"type":"string","description":"The API key to use for authentication. Can be created in the api keys section on the workspace settings page."},"required":true,"description":"The API key to use for authentication. Can be created in the api keys section on the workspace settings page.","name":"authorization","in":"header"}],"responses":{"200":{"description":"User interactivity analytics retrieved successfully.","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"channelId":{"type":"string"},"channelName":{"type":"string"},"channelType":{"type":"string","enum":["api","widget","waha","whatsapp","instagram"]},"count":{"type":"integer"},"periodEnd":{"type":"string","format":"date-time"},"periodStart":{"type":"string","format":"date-time"}},"required":["channelId","channelName","channelType","count","periodEnd","periodStart"]}}}}},"401":{"description":"Unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"string","description":"The error code."},"cta":{"type":"object","properties":{"type":{"type":"string","enum":["support-contact"]},"url":{"type":"string","format":"uri"}},"required":["type","url"],"description":"The error call-to-action."},"feedback":{"type":"object","properties":{"enUs":{"type":"string"},"esEs":{"type":"string"},"ptBr":{"type":"string"}},"description":"The error feedback."},"message":{"type":"string","description":"The error message."},"name":{"type":"string","description":"The error name."}},"required":["feedback","message","name"],"description":"The description of a known exception."}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zaia.app/documentation/api-reference-alpha/reference/analytics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
